Package org.jacoco.agent.rt.internal.output

## Class FileOutput

- java.lang.Object
- - org.jacoco.agent.rt.internal.output.FileOutput

All Implemented Interfaces:
  `IAgentOutput`

    public class FileOutput
    extends java.lang.Object
    implements IAgentOutput

Local only agent output that will write coverage data to the filesystem. This controller uses the following agent options:

- destfile
- append

### Constructor Summary

Constructors
`FileOutput()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `shutdown()` Shutdown the agent controller and clean up any resources it has created.
`void` `startup​(AgentOptions options, RuntimeData data)` Configure the agent controller with the supplied options and connect it to the coverage runtime
`void` `writeExecutionData​(boolean reset)` Write all execution data in the runtime to a location determined by the agent controller.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileOutput

    public FileOutput()

### Method Detail

#### startup

    public final void startup​(AgentOptions options,
                              RuntimeData data)
                       throws java.io.IOException

Description copied from interface: `IAgentOutput`
Configure the agent controller with the supplied options and connect it to the coverage runtime

Specified by:
  `startup` in interface `IAgentOutput`
Parameters:
  `options` - Options used to configure the agent controller
  `data` - Execution data for this agent
Throws:
  `java.io.IOException`

#### writeExecutionData

    public void writeExecutionData​(boolean reset)
                            throws java.io.IOException

Description copied from interface: `IAgentOutput`
Write all execution data in the runtime to a location determined by the agent controller. This method should only be called by the Agent

Specified by:
  `writeExecutionData` in interface `IAgentOutput`
Parameters:
  `reset` - if `true` execution data is cleared afterwards
Throws:
  `java.io.IOException` - in case writing fails

#### shutdown

    public void shutdown()
                  throws java.io.IOException

Description copied from interface: `IAgentOutput`
Shutdown the agent controller and clean up any resources it has created.

Specified by:
  `shutdown` in interface `IAgentOutput`
Throws:
  `java.io.IOException`